### Virtual Method

# Foundry LspServer prepare

#### Declaration [src]

    DexFuture*
    prepare (
      FoundryLspServer* self,
      FoundryBuildPipeline* pipeline,
      FoundryProcessLauncher* launcher
    )

#### Description

No description available.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`launcher`

  Type: `FoundryProcessLauncher`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLspClient` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.